
/*---------------------------------------------------------+
I                            DEFINES                       I
+---------------------------------------------------------*/

/* Pour init_controleur ----------------*/

#define SANS        0
#define PAIRE       0x18
#define IMPAIRE     8
#define COM1        0
#define COM2        1
#define COM3        2
#define COM4        3

/* Quelques codes Ascii utiles ------*/

#define NUL         0
#define SOH         1
#define STX         2
#define ETX         3
#define EOT         4
#define ENQ         5
#define ACK         6
#define BEL         7
#define BS          8
#define HT          9
#define LF          10
#define VT          11
#define FF          12
#define CR          13
#define SO          14
#define SI          15
#define DLE         16
#define DC1         17
#define DC2         18
#define DC3         19
#define DC4         20
#define NAK         21
#define SYN         22
#define ETB         23
#define CAN         24
#define EM          25
#define SUB         26
#define ESC         27
#define FS          28
#define GS          29
#define RS          30
#define US          31
#define DEL         127

/* Les valeurs booleennes cheres aux algorithmiciens */

#define TRUE        1
#define FALSE       0

/* Quelques touches clavier -----------------*/

#define F1                 59
#define F2                 60
#define F3                 61
#define F4                 62
#define F5                 63
#define F6                 64
#define F7                 65
#define F8                 66
#define F9                 67
#define F10                68

#define LEFT_ARROW         75
#define RIGHT_ARROW        77
#define UP_ARROW           72
#define DOWN_ARROW         80
#define HOME_TOUCH         71
#define END_TOUCH          79
#define INS_TOUCH          82
#define DEL_TOUCH          83
#define PG_DN              81
#define PG_UP              73

#define ALT_X              45

/*---------------------------------------------------------+
I                      TYPE                                I
+---------------------------------------------------------*/

typedef int BOOLEAN;

/*---------------------------------------------------------+
I                      PROTOTYPES                          I
+---------------------------------------------------------*/

/* Interface utilisateur ---------------------------------*/

void     init_controleur(int numero_port,
                         int baud,int nb_bits_donnee,
                         int nb_bits_arret,int parite,int max_time);
char     reception_octet(void);
void     emission_octet(char c);
void     restaure_controleur(void);

/* Reserves pour la procedure main de commin.c ----------*/

BOOLEAN  recevoir_octet(char *c);
BOOLEAN  lire_clavier(char *car_clavier,BOOLEAN *b_special);
